require 'studio_game/player'
require 'studio_game/spec_helper'


module StudioGame
describe Player do
    

    before do
         @initial_health=150
         @player=Player.new("larry", @initial_health)
    end
    
    it "has a capitalized title" do
        
        @player.name.should == "Larry"
    end
    
    it "has an initial health" do
        @player.health.should == 150
    end
        
    it "computes score" do
        @player.score.should == (150+5)
    end

    it "woots" do
         
        @player.woot
        @player.health.should == (150+15)
        
    end
    context "with a health greater than 100" do
        before do
            @player=Player.new("larry", 150)
        end
        it "is strong" do
            @player.should be_strong
        end

    end

    context "with a health of 100 or less" do 
        before do
            @player=Player.new("curly", 100)
        end
        it "is wimpy" do
            @player.should_not be_strong
        end
    end

end
end